> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recently updated and created contacts

> The _get recently updated and created contacts_ endpoint is used to return information about all contacts for a given account that were updated or created in the last 30 days. Use case for this endpoint: This endpoint is useful for integrations that need to track changes to contacts and synchronize those changes to an external system. Notes: If you're only looking for new records (and not modified records), you can use the _get recently created contacts_ endpoint.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.contacts.read', 'content', 'crm.objects.contacts.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json GET /contacts/v1/lists/recently_updated/contacts/recent
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/recently_updated/contacts/recent:
    get:
      summary: Get recently updated and created contacts
      description: >-
        The _get recently updated and created contacts_ endpoint is used to
        return information about all contacts for a given account that were
        updated or created in the last 30 days. Use case for this endpoint: This
        endpoint is useful for integrations that need to track changes to
        contacts and synchronize those changes to an external system. Notes: If
        you're only looking for new records (and not modified records), you can
        use the _get recently created contacts_ endpoint.
      operationId: getcontactsv1listsrecentlyupdatedcontactsrecent
      parameters:
        - name: count
          in: query
          required: false
          description: >-
            This parameter lets you specify the amount of contacts to return in
            your API call. The default for this parameter (if it isn't
            specified) is 20 contacts. The maximum amount of contacts you can
            have returned to you via this parameter is 100.
          schema:
            type: string
        - name: timeOffset
          in: query
          required: false
          description: >-
            One method used to page through the recent contacts. Every call to
            this endpoint will return a time-offset value. This value is used in
            the timeOffset parameter of the next call to get the next page of
            contacts. The preferred method of paging.
          schema:
            type: string
        - name: vidOffset
          in: query
          required: false
          description: >-
            Another method used to page through the recent contacts. Every call
            to this endpoint will return a vid-offset value. This value is used
            in the vidOffset parameter of the next call to get the next page of
            contacts.
          schema:
            type: string
        - name: property
          in: query
          required: false
          description: >-
            If you include the "property" parameter, then the properties in the
            "contact" object in the returned data will only include the property
            or properties that you request.
          schema:
            type: string
        - name: propertyMode
          in: query
          required: false
          description: >-
            One of `value_only` or `value_and_history` to specify if the current
            value for a property should be fetched, or the value and all the
            historical values for that property. Default is `value_only`.
          schema:
            type: string
        - name: formSubmissionMode
          in: query
          required: false
          description: >-
            One of `all`, `none`, `newest`, `oldest` to specify which form
            submissions should be fetched. Default is `newest`.
          schema:
            type: string
        - name: showListMemberships
          in: query
          required: false
          description: >-
            Boolean `true` or `false` to indicate whether current list
            memberships should be fetched for the contact. Default is `false`.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response - The _get recently updated and created
            contacts_ endpoint is used to return information about all contacts
            for a given account that were updated or created in the last 30 days
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get recently updated and created contacts - Example 1
                  value:
                    contacts:
                      - addedAt: 1484858431084
                        vid: 3234574
                        canonical-vid: 3234574
                        merged-vids: []
                        portal-id: 62515
                        is-contact: true
                        properties:
                          firstname:
                            value: Jeff
                          lastmodifieddate:
                            value: '1484858431084'
                          company:
                            value: HubSpot
                          lastname:
                            value: Testing
                        form-submissions: []
                        identity-profiles:
                          - vid: 3234574
                            saved-at-timestamp: 1484026585613
                            deleted-changed-timestamp: 0
                            identities:
                              - type: EMAIL
                                value: testingapis@hubspot.com
                                timestamp: 1484026585538
                              - type: LEAD_GUID
                                value: 4b11f8af-50d9-4665-9c43-bb2fc46e3a80
                                timestamp: 1484026585610
                        merge-audits: []
                      - addedAt: 1484854580823
                        vid: 3714024
                        canonical-vid: 3714024
                        merged-vids: []
                        portal-id: 62515
                        is-contact: true
                        properties:
                          firstname:
                            value: Updated
                          lastmodifieddate:
                            value: '1484854580823'
                          lastname:
                            value: Record
                        form-submissions: []
                        identity-profiles:
                          - vid: 3714024
                            saved-at-timestamp: 1484854496366
                            deleted-changed-timestamp: 0
                            identities:
                              - type: LEAD_GUID
                                value: 670706c0-3f5c-485b-9bee-5d0b0c6aef97
                                timestamp: 1484693212959
                              - type: EMAIL
                                value: new-email@hubspot.com
                                timestamp: 1484854496353
                        merge-audits: []
                    has-more: true
                    vid-offset: 3714024
                    time-offset: 1484854580823
      security:
        - oauth2:
            - crm.objects.contacts.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.read
        - private_apps_legacy: []
components: {}

````